%define upstream_name    Dist-Zilla-Plugin-JSAN
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build an INSTALL file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::Git)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Text::Markdown)
BuildRequires: perl(Text::MultiMarkdown)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This is a plugin for distribution-management tool the Dist::Zilla manpage.
It greatly simplifies the release process, allowing you to focus on the
code itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Mar 14 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 71244
- imported package perl-Dist-Zilla-Plugin-JSAN


* Mon Mar 14 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
